# $Revision: 1.8 $, $Date: 2005/09/18 21:12:16 $

%define		_name	xp

Summary:	KDE theme - %{_name}
Summary(pl):	Motyw KDE - %{_name}
Name:		kde-theme-%{_name}
Version:	0.9
Release:	1
License:	GPL
Group:		Themes
Source0:	http://www.speleoalex.altervista.org/download/kde_%{_name}_full-%{version}.tar.gz
# Source0-md5:	24b8ec815c95c04e5e7c53f08d3109fe
URL:		http://www.speleoalex.altervista.org/kde.php
Requires:	kde-style-%{_name}
Requires:	kde-icons-%{_name}
Requires:	kde-decoration-icewm-%{_name}
Requires:	kde-wallpaper-%{_name}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains data for making KDE look like Windows XP Luna
(Blue).

%description -l pl
Ten pakiet zawiera dane do upodobnienia KDE do Windows XP Luna
(niebieskiego).

%package -n kde-style-%{_name}
Summary:	KDE style - %{_name}
Summary(pl):	Styl do KDE - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-style-%{_name}
This package contains Windows XP Luna (Blue) style for KDE.

%description -n kde-style-%{_name} -l pl
Ten pakiet zawiera styl Windows XP Luna (niebieski) dla KDE.

%package -n kde-icons-%{_name}
Summary:	KDE icon theme - %{_name}
Summary(pl):	Motyw ikon do kde - %{_name}
Group:		Themes
Requires:	kdelibs

%description -n kde-icons-%{_name}
This package contains the standard Windows XP icon theme.

%description -n kde-icons-%{_name} -l pl
Ten pakiet zawiera motyw ikon z Windows XP.

%package -n kde-wallpaper-%{_name}
Summary:	KDE wallpaper - %{_name}
Summary(pl):	Tapeta do KDE - %{_name}
Group:		Themes
# Contains /usr/share/wallpapers
Requires:	kdelibs

%description -n kde-wallpaper-%{_name}
This package contains two wallpapers similar to the ones distributed
with Windows XP.

%description -n kde-wallpaper-%{_name} -l pl
Ten pakiet zawiera dwie tapety podobne do rozprowadzanych z Windows
XP.

%package -n kde-decoration-icewm-%{_name}
Summary:	Icewm window decoration for kwin - %{_name}
Summary(pl):	Dekoracja icewm dla kwin - %{_name}
Group:		Themes
Requires:	kde-decoration-icewm

%description -n kde-decoration-icewm-%{_name}
A kwin decoration that resembles Windows XP Luna (Blue).

%description -n kde-decoration-icewm-%{_name} -l pl
Dekoracja kwin podobna do Windows XP Luna (niebieskiego).

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_datadir}/{wallpapers,apps/{kstyle,kwin/icewm-themes}}}
mv -f icons/kde_xp $RPM_BUILD_ROOT%{_iconsdir}
mv -f kde_xpStyle/wallpapers/* $RPM_BUILD_ROOT%{_datadir}/wallpapers
mv -f kde_xpStyle/pixmaps $RPM_BUILD_ROOT%{_datadir}/apps/kstyle
mv -f kde_xpStyle/themes $RPM_BUILD_ROOT%{_datadir}/apps/kstyle
mv -f kde_xpTheme/kde_xp $RPM_BUILD_ROOT%{_datadir}/apps/kwin/icewm-themes
sed -i -e "s,mdk-hicolor,crystalsvg," $RPM_BUILD_ROOT%{_iconsdir}/kde_xp/index.desktop
rm -f $RPM_BUILD_ROOT%{_iconsdir}/kde_xp/index.desktop~

%post -n kde-style-%{_name}
/sbin/ldconfig
echo "You may have to run kinstalltheme for this theme to become available"
echo "in currently opened sessions."

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files -n kde-style-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kstyle/themes/*.themerc
%{_datadir}/apps/kstyle/pixmaps/*

%files -n kde-icons-%{_name}
%defattr(644,root,root,755)
%{_iconsdir}/*

%files -n kde-decoration-icewm-%{_name}
%defattr(644,root,root,755)
%{_datadir}/apps/kwin/icewm-themes/*

%files -n kde-wallpaper-%{_name}
%defattr(644,root,root,755)
%{_datadir}/wallpapers/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-xp.spec,v $
Revision 1.8  2005/09/18 21:12:16  glen
- create base package depend on style/icons/decoration/wallpaper packages; rel 1

Revision 1.7  2005/01/16 23:03:54  tommat
- removed not needed backup file

Revision 1.6  2005/01/16 20:58:13  tommat
- version 0.9 rel 0.1
- changed URL and download address

Revision 1.5  2004/09/21 09:56:56  jasio
- Fixed directory name for sed.
- Package is building now.
- STBR

Revision 1.4  2004/05/28 15:11:19  djurban
- proper %post, fixed inhertiing of icon themes, adde comment where missing

Revision 1.3  2004/05/28 14:50:42  djurban
- %post with kinstalltheme (important here because of the pixmap theming instead of c++ theming

Revision 1.2  2004/05/23 01:22:09  qboosh
- cleanups

Revision 1.1  2004/05/22 21:39:06  djurban
- xp theme for kde
  http://www.kde-look.org/content/pre1/1499-1.jpg
  http://www.kde-look.org/content/pre1/1499-2.jpg
  http://www.kde-look.org/content/pre1/1499-3.jpg
